Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sshtools.j2ssh.transport.publickey.rsa
Class SshRsaPublicKey

    java.lang.Object
      com.sshtools.j2ssh.transport.publickey.SshPublicKey
          com.sshtools.j2ssh.transport.publickey.rsa.SshRsaPublicKey

public class SshRsaPublicKey
extends SshPublicKey

DOCUMENT ME!

Constructor Summary
`SshRsaPublicKey(byte[] encoded)` Creates a new SshRsaPublicKey object.
`SshRsaPublicKey(java.security.interfaces.RSAPublicKey key)` Creates a new SshRsaPublicKey object.

Method Summary
`java.lang.String` | `getAlgorithmName()` DOCUMENT ME!
`int` | `getBitLength()` DOCUMENT ME!
`byte[]` | `getEncoded()` DOCUMENT ME!
`boolean` | `verifySignature(byte[] signature, byte[] data)` DOCUMENT ME!

Methods inherited from class com.sshtools.j2ssh.transport.publickey.SshPublicKey
`equals, getFingerprint, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SshRsaPublicKey

    public SshRsaPublicKey(java.security.interfaces.RSAPublicKey key)

  Creates a new SshRsaPublicKey object.

Parameters:
  `key` - DOCUMENT ME!

### SshRsaPublicKey

    public SshRsaPublicKey(byte[] encoded)
                    throws InvalidSshKeyException

  Creates a new SshRsaPublicKey object.

Parameters:
  `encoded` - DOCUMENT ME!
Throws:
  `InvalidSshKeyException` - DOCUMENT ME!

Method Detail

### getAlgorithmName

    public java.lang.String getAlgorithmName()

  DOCUMENT ME!

  Specified by:
    `getAlgorithmName` in class `SshPublicKey`
  Returns:
    DOCUMENT ME!

### getBitLength

    public int getBitLength()

  DOCUMENT ME!

  Specified by:
    `getBitLength` in class `SshPublicKey`
  Returns:
    DOCUMENT ME!

### getEncoded

    public byte[] getEncoded()

  DOCUMENT ME!

  Specified by:
    `getEncoded` in class `SshPublicKey`
  Returns:
    DOCUMENT ME!

### verifySignature

    public boolean verifySignature(byte[] signature,
                                   byte[] data)
                            throws InvalidSshKeySignatureException

  DOCUMENT ME!

  Specified by:
    `verifySignature` in class `SshPublicKey`
  Parameters:
    `signature` - DOCUMENT ME!
    `data` - DOCUMENT ME!
  Returns:
    DOCUMENT ME!
  Throws:
    `InvalidSshKeySignatureException` - DOCUMENT ME!

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD